The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Обновление Firefox 70.0.1 и Thunderbird 68.2.1

31.10.2019 22:07

Опубликовано корректирующее обновление Firefox 70.0.1, в котором решена проблема, приводящая к сбою при открытии некоторых страниц или загрузке при помощи JavaScript отдельных элементов на странице. Проблема проявляется в том числе на таких сайтах, как YouTube и Facebook из-за повреждения содержимого в новой реализации LocalStorage (NextGen). В связи с проблемами в Firefox 70.0.1 осуществлён откат на старую реализацию LocalStorage (dom.storage.next_gen=false в about:config). Для проверки проявления проблемы в системе пользователя подготовлен сайт firefox-storage-test.glitch.me. Из других изменений отмечается скрытие заголовка в полноэкранном режиме и обновление плагина OpenH264 для пользователей macOS 10.15.

Также доступен корректирующий выпуск почтового клиента Thunderbird 68.2.1, в котором добавлена возможность выбора языка интерфейса через расширенные настройки в конфигураторе. Решены проблемы с аутентификацией в Google (OAuth2), неверным выбором цвета для выделенных и непрочитанных сообщений, локализацией названий почтовых папок.

  1. Главная ссылка к новости (https://www.mozilla.org/en-US/...)
  2. OpenNews: В Thunderbird будет встроена поддержка шифрования и цифровых подписей на основе OpenPGP
  3. OpenNews: Выпуск почтового клиента Thunderbird 68.0
  4. OpenNews: Релиз Firefox 70
Лицензия: CC-BY
Тип: Программы
Ключевые слова: firefox, thunderbird
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (77) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (1), 23:19, 31/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • –15 +/
    Последние версии FF - это что-то! Дай думаю обновлю до 68esr, Ок, добавляю лангпак - и все, кирдык: падает на старте с дебильнейшей ошибкой. Деинсталлировать данный лангпак естественно уже никак.. Пришлось сносить весь профиль, на котором сидел много лет. Зато сколько рекламной мути и откровенного пи*жа от Мозиллы..
     
     
  • 2.3, Аноним (3), 00:04, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Она регулярно показывает мне спам при открытии. Рекламу покетов и прочее такое. Во что они превратили браузер? Даже у Оперы не такое навязчивое и отключается.
     
     
  • 3.11, 954 (?), 04:14, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +7 +/
    > Она регулярно показывает мне спам при открытии. Рекламу покетов и прочее такое.

    Отключается в настройках (шестерня в правом верхнем углу).

     
  • 3.40, Суп из потрошков (?), 20:28, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Линуксоид, который не может настроить броузер! Проклятый ЕГЭ!
     
     
  • 4.50, Аноним (50), 22:30, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Слоооооожнаааа. Я думаю, большинство пользователей уже тысячу раз устало настраивать браузер каждое обновление и полагается на всякие ghacks-user.js.
     
  • 2.6, Kuromi (ok), 01:08, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +10 +/
    Вы не сумели руками удалить ленгпак из профиля? Это достижение.
     
  • 2.10, Crazy Alex (ok), 02:52, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Повод настроить ежедневные инкрементные бэкапы хомяка - очень помогают спокойному сну и экономии нервов.
     
  • 2.16, nrndda (ok), 09:33, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +4 +/
    firefox --help:
    --safe-mode        Disables extensions and themes for this session.

    Похоже на вброс.

     
     
  • 3.24, user90 (?), 13:09, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Это тебе не поможет что-то удалить средствами самого фокса: safe-mode это не "Disables extensions", а тупо БЕЗ любых расширений.
     
     
  • 4.26, nrndda (ok), 14:24, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    У анонима падает при запуске с лангпаком. То, что я привёл, поможет запустить и хотя бы переключить на другой лангпак. Так же не вижу проблем с удалением...
     
     
  • 5.28, user90 (?), 16:22, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Запустить-то поможет, только кажется на этом и все: что/как ты собрался переключать, если у тебя в установленных экстеншенах пусто? (Вот не знаю только, считается ли лангпак за расширение?)
     
     
  • 6.29, nrndda (ok), 17:02, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Только что проверил, при запуске в safe-mode все расширения/плагины/темы/словари доступны, но отключены. Кажется язык то же расширение, видел в списке установленных на системах с ubuntu. У себя не могу проверить, только en.
     
     
  • 7.46, Kuromi (ok), 22:01, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Только что проверил, при запуске в safe-mode все расширения/плагины/темы/словари доступны,
    > но отключены. Кажется язык то же расширение, видел в списке установленных
    > на системах с ubuntu. У себя не могу проверить, только en.

    Уже с полгода как все что ставится в ФФ идет в обертке webext, даже словари.

     
  • 5.103, Аноним (103), 20:22, 11/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    У анонима падает всегда.
     
  • 2.47, Аноним (47), 22:08, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    с венды слезь для начала
     

  • 1.2, Аноним (2), 23:35, 31/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +6 +/
    Instabird не работает джаббер. Сделайте мне джаббер
     
     
  • 2.4, Jonny Quest (?), 00:06, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Жжошь!!! Во вспомнил :D
     
     
  • 3.7, Аноним (2), 02:14, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +7 +/
    Жгу напалмом. Я ещё и Songbird использую.  Кто-нибудь продолжте поддержку этих софин. XULRunner forever!
     
  • 2.5, Аноним (5), 00:13, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Так он же умер еще в олдфажном 2014.
     
     
  • 3.8, Аноним (2), 02:15, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +6 +/
    Очень жаль. Верните его к жизни.
     

  • 1.9, ano (??), 02:39, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Для проверки проявления проблемы в системе пользователя подготовлен сайт firefox-storage-test.glitch.me.

    firefox 70, проблемы нет, dom.storage.next_gen на дефолтном true. чяднт?

     
     
  • 2.12, Аноним (12), 05:59, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Не у всех повреждённое хранилище. Скорее даже у большинства не повреждённое. Потому и так долго дотрелиз с фиксом выходил, хотя там только преф дернуть для отката на старую систему.
     
     
  • 3.48, Аноним (47), 22:10, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Ага. И еще у них после обновлений поголовно дефендер отключен. Кто они такие?
     

  • 1.13, Аноним (13), 06:52, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +7 +/
    Последние новости из мира Firefox стабильно выглядят так:
    "У нас новый замечательный релиз Лисы с повышенной безопасностью данных пользователя!"
    "Исправления к новому релизу, так как из-за багов все ваши данные утекали левому дяде, но мы тут ни при чем".
    "Исправление к исправлению, так как из-за последнего патча вы не могли пользоваться интернетом".
     
     
  • 2.15, Чебур (?), 09:10, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • –3 +/
    А конкретнее, на каких релизах они ломали безопасность, что данные пользователей реально утекали? То что я вижу сейчас - просто сломался утубчик у небольшой части пользователей, че ныть-то сразу
     
     
  • 3.17, Аноним (17), 09:48, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Беда, когда не можешь в метафоры и аналогии.
     
     
     
    Часть нити удалена модератором

  • 5.39, Аноним (39), 19:41, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +4 +/
    Фуррифаг порвался. Признайте уже, что мозилла делает не браузер, а копию хрома, в итоге получает полную фигню и спешно латает ошибки кучей патчей.
     
     
  • 6.57, Ordu (ok), 02:34, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Ты отстаёшь от жизни, сейчас уже google тащится позади, пытаясь оставаться копие... текст свёрнут, показать
     
     
  • 7.58, Ололо (?), 09:10, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > сейчас уже google тащится позади, пытаясь оставаться копией ff

    Хром с 70% тащится позади лисы с 10%?

    > и это будет усугубляться

    Согласен, это будет усугубляться - доля лисы продолжит падать.

     
     
  • 8.61, Ordu (ok), 10:43, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Да Ты что-нибудь кроме доли способен увидеть ... текст свёрнут, показать
     
     
  • 9.67, Ололо (?), 11:49, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Конечно Например, балаболов и демагогов вижу издалека ... текст свёрнут, показать
     
     
  • 10.72, Ordu (ok), 16:13, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    По тебе заметно Издалека ... текст свёрнут, показать
     
  • 5.56, Ordu (ok), 02:27, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Всегда был. Мало кто понимает предназначение метафор и аналогий, остальные используют их как оправдение своему бреду: типа "это я не брежу, это я говорю метафорами". Иногда вместо "метафор" ссылаются на "аналогии", "сарказмы" или ещё какую-нибудь хрень такого типа. Что примечательно, по-моему, они действительно верят в то, что их оправдания кого-то вводят в заблуждение.
     

  • 1.14, Аноним (14), 07:58, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    В громоптице опять отвалились все дополнения - "несовместимо с вашей версией". ...! ...!!!
    Зашибись обновили. Уроды.
     
     
  • 2.81, KonstantinB (ok), 04:52, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    about:config

    extensions.checkCompatibility.<версия> = false

     
     
  • 3.94, Аноним (14), 10:55, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Thunderbird c Firefox не попутал?
    У себя в конфиге громоптицы не могу найти такого параметра.
     
     
  • 4.95, KonstantinB (ok), 11:58, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    А его не надо искать, его надо добавить.
     
     
  • 5.96, Аноним (14), 13:44, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Добавил. Пишет, что "Проверка совместимости отключена". Дополнения один шут не ставятся, ни из addons.thunderbird.net, ни вручную - "это дополнение не может быть установлено, т.к. оно несовместимо с tb 68.2.1"
    В общем, спасибо за помощь, и лучи поноса в адрес разрабов thunderbird. Мало того, что не могут, позорники, функцию сворачивания в трей реализовать - плагины надо колхозить ради такой фигни, еще и мешают другим за них это делать. Да обгадят их боги сверху донизу.
     
     
  • 6.97, Аноним (97), 16:11, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    + еще лучик
    или они сами не пользуются своим изделием и им трей не нужен
    или они только им и пользуются весь день и не сворачивают, и трей им не нужен

     

  • 1.18, Аноним (18), 10:19, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    в арче звук поломали
     
     
  • 2.41, Суп из потрошков (?), 20:35, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    На винде ничего не сломали. В который раз подряд уже.
     

  • 1.19, Аноним (19), 10:23, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    WebGL починили? Как раз таки с 70-й версии файрфокса у меня не работает. Gah. Your tab just crashed. А в Хромиуме WebGL работает. Так что "молодцы".
     
  • 1.20, Аноним (20), 11:19, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как то давно прочитал новость про Firefox где было написано, что они исправили около 1600 ошибок, после чего у меня возник один вопрос, каааак оно вообще работало?
    Тогда он вылетал по любому поводу и без, с тех пор я им не пользуюсь, а они по прежнему штампуют недоделки!
     
     
  • 2.22, Аноним (-), 12:08, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    IE лучше. Поддерживаю
     
     
  • 3.44, Аноним (103), 21:46, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Стопудово! Не то что вся это хромогомосятина!
     
  • 2.49, Аноним (47), 22:12, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    не на 3дньюс или на хабре часом?
     
     
  • 3.79, Аноним (103), 00:46, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Не там и не там.
     

  • 1.21, Аноним (21), 11:40, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    где-то на 24-ой версии стоило разогнать дизайнеров, а на 30  разработчиков. начиная с "австралиса" ничего полезного (имхо) в браузере не появилось. Особенно расстроил мобильный вариант, где манипуляции с куками очень сильно порезали.
     
     
  • 2.54, Аноним (103), 00:46, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Да хрен с ним с мобильным! Десктоп зачем испоганили и закопали?!
     

  • 1.25, iZEN (ok), 13:38, 01/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Проблемы с русификацией Thunderbird 68 так и не смог решить: удалял каталог с настройками громоптицы, крушил учётки - всё равно add-on с русским языком не работает! Что странно, на другой машине с той же версией ОС FreeBSD и той же версией Thunderbird русификация подхватилась нормально (скачивал из  магазина дополнений через родной интерфейс). Что за дела? Как исправить состояние? Где ещё хранятся настройки Thunderbird?! GCONF может виноват?
     
     
  • 2.27, Аноним (-), 15:33, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Сам не пользуюсь, знакомый попросил помочь, ему помогла эта инструкция.
    sudo apt-get install thunderbird-locale-ru
    В Thunderbird откройте окно управления дополнениями через меню «Tools → Addons».
    В окне управления дополнениями щёлкните по значку "шестерни" в верхнем правом углу, расположенному слева от строки поиска дополнений, и выберите пункт «Install Add-on From File…».
    Найдите и выберите файл русификации, который вы скачали и нажмите «OK».
    Откройте редактор настроек из пункта настроек «Advanced → Main → Config Editor».
    Найдите параметр general.useragent.locale.
    Смените его значение с en-US на ru.
    Перезапустите Thunderbird.
     
     
  • 3.45, iZEN (ok), 21:50, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Найдите параметр general.useragent.locale.

    Нету такого параметра.

    > Смените его значение с en-US на ru.

    Пробовал — не работает.

    В новой версии появился отдельный пункт в разделе Advanced настроек (Preferences): General -> Language
    "Choose the languages used to display menus, messages, and notifications from Thunderbird."
    В выпадающем блоке нужно найти и выбрать "Russian" — в этом случае скачается дополнение русского языка (русификации интерфейса), то есть сделает то же самое, что и поиск Add-on'а в отдельном окне и добавление его в Thunderbird.
    Далее нужно нажать кнопку "Применить и перезапустить".
    После этого интерфейс Thunderbird наконец-то станет локализован.
    Наконец-то получилось!

     
  • 2.42, Суп из потрошков (?), 20:46, 01/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    it was 2019
     
  • 2.74, Аноним (21), 22:05, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Я может глупость спрошу, но зачем человеку, который собирают фрю и пишет на java русская локализация?
     
     
  • 3.75, iZEN (ok), 22:23, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Я может глупость спрошу, но зачем человеку, который собирают фрю и пишет
    > на java русская локализация?

    У меня всё на руском. Я — русофил.


     
     
  • 4.78, Аноним (78), 00:00, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Русофил, к-й пишет пишет "на руском" с одной "с"?
     

  • 1.52, Аноним (103), 00:37, 02/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как в фурифоксе отключить самопроизвольные обновления и отключить саму проверку наличия на cерверах новых версий? Чтоб не лазил постоянно.
     
  • 1.53, Аноним (103), 00:38, 02/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как в фурифоксе отключить многопроцессность?
     
     
  • 2.93, iPony129412 (?), 10:41, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Никак
     

  • 1.59, Йопта (?), 09:16, 02/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Напишите, какие хорошие по вашему браузеры?
     
     
  • 2.60, Аноним (60), 10:03, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Falkon, otter
     
     
  • 3.63, Аноним (103), 11:19, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Что в них хорошего? Конкретно!
    И где для них брать расширения? Браузер без расширений - это мертвый инструмент.
     
  • 3.65, Аноним (103), 11:30, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Странно. QtWebKit перестал развиваться. А эта Выдра все еще на нем толчется. Где здравый смысл?!
    Именно из-за этого Фалкон пересел на QtWebEngine с того же самомго QtWebKit.
     
     
  • 4.85, Аноним (103), 14:21, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Хотя лучше от этого не стал. Убогий топорный интерфейс. Ненастраиваемый внешний вид и вкладки. Хилый функционал.
     
     
  • 5.86, Аноним (86), 17:40, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    >Убогий топорный интерфейс.

    О дизайнер порвался.
    Этот "топорный" дизайн это высшее достижение человечества, от инженеров для простых людей. А не дижайн зрома и гнома от рептилоидов для имбицилов.
    пишу с семерки на хроме.

     
     
  • 6.101, Аноним (103), 22:57, 10/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Это высшее достижение - типа одинаковый вид на всех системах. Это полное дерьмо. Не должен быть одинаковый вид на разных системах. Это полный брег! не надо убогость линуха тащить на винду.
     
  • 3.87, Аноним (86), 17:41, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >Falkon, otter

    Фалкон был бы лучший если бы не падал. Оттер мне не нравится куда идет.

     
     
  • 4.91, Аноним (103), 09:55, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Интересно, а почему QupZilla зарубили?.. Нормальное развитие было. Зачем эти игры в переименование?
     
  • 4.98, Аноним (103), 08:51, 06/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    А как на счет расширений у него?
     
  • 4.100, Аноним (103), 22:53, 10/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Фалкон тяжелый. Ставит кучу каких-то библиотек. Хочет еще С++ для установки!
    И они не падают. Только работать с ними нельзя. Пока нет расширений.
    А идут они все в одно место.
     
  • 2.92, Аноним (103), 10:09, 05/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Судя по вялым невнятным ответам, сейчас таких нет.
     

  • 1.70, Fedd (ok), 13:56, 02/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    если firefox-storage-test.glitch.me открыть просто без https, будет totally broken ха
     
     
  • 2.73, Аноним (3), 18:02, 02/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    У меня только половина сломано так. А 4 ни до ни после обновления не работает.
     

  • 1.80, Аноним (80), 01:14, 03/11/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > firefox-storage-test.glitch.me

    А как починить то, что сломано???

     
     
  • 2.82, KonstantinB (ok), 04:57, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Новость не читай, комментарий пиши!

    > dom.storage.next_gen=false в about:config

     
     
  • 3.84, Аноним (84), 10:26, 03/11/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Вот именно! После обновления до 70.0.1 там и так у всех false. Но всё равно:

    Cache API
        Bad: Our test logic is broken...

    Это если на этот сайт зайти по https. А по http еще и

    QuotaManager
        Bad: Totally Broken. (fullyBroken)

    Выше, вижу, у некоторых тоже так.
    Как исправлять?

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру